Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 2021)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 2022)
@@ -60,6 +60,10 @@
 	public static String binaryCorpusIsNotATXM079CorpusNoImportXmlFile; 
 	public static String binaryCorpusIsNotATXM080CorpusNoSettingsNorProjectFile;
 	public static String buildEdition; 
+	public static String callingGroovyPrestartScript;
+
+	public static String callingGroovyStartScript;
+
 	public static String canNotCreateATableWithTheProvidedInformationColonP0; 
 	public static String canceling; 
 	public static String cancelingRequested; 
@@ -82,7 +86,11 @@
 	public static String chooseTheLanguage; 
 	public static String clipboard; 
 	public static String clipboardIsEmpty; 
-	public static String clipboard_2; 
+	public static String clipboard_2;
+
+	public static String closingColon;
+
+	public static String closingEmptyEditors; 
 	public static String columnIndexIsTooBig; 
 	public static String columnsSeparatedBy; 
 	public static String commands; 
@@ -183,14 +191,18 @@
 	public static String errorColonThisPartitionHasNoPart; 
 	public static String errorDuringParametersInitialisation; 
 	public static String errorDuringScriptExecutionColon; 
-	public static String errorDuringSortColonP0; 
+	public static String errorDuringSortColonP0;
+
+	public static String errorDuringUIInitializationP0; 
 	public static String errorElementColon; 
 	public static String errorInAtOptionNameDeclarationColon; 
 	public static String errorWhileCallingOrgeclipseuiwindowresetPerspectiveColon; 
 	public static String errorWhileCleaningPerspectiveColonNoHandlerServiceFound; 
 	public static String errorWhileComputingCorpusSummary; 
 	public static String errorWhileCreatingAPartitionColonP0; 
-	public static String errorWhileDeletingP0ColonP1; 
+	public static String errorWhileDeletingP0ColonP1;
+
+	public static String errorWhileFetchingUpdatesP0; 
 	public static String errorWhileGettingCurrentPositionValueColon; 
 	public static String errorWhileLoadingTXMColon; 
 	public static String errorWhileOpeningBibliographicRecordP0WithURLEqualsP1; 
@@ -201,6 +213,12 @@
 	public static String errorWhileUpdatingTXMColonNoHandlerServiceFound; 
 	public static String errorWithElementP0; 
 	public static String error_invalidRegularExpression;
+
+	public static String errorsOccuredDuringTXMPostInstallation;
+
+	public static String errorTheProvidedInstallDirectoryDoesNotExistAborting;
+
+	public static String errorTheProvidedTXMHOMEDirectoryDoesNotExistsP0Aborting;
 	public static String execColon; 
 	public static String executeScript; 
 	public static String executingGroovyScript; 
@@ -224,6 +242,8 @@
 	public static String failedToDelete; 
 	public static String failedToDeleteFileP0; 
 	public static String failedToDeleteSubcorpusP0; 
+	public static String failedToExecuteTheP0ScriptColonP1;
+
 	public static String failedToExportCorpusP0; 
 	public static String failedToExportFileP0; 
 	public static String failedToExportInFileP0WithFormatP1; 
@@ -268,7 +288,9 @@
 	public static String info_txmIsReady;
 	public static String infpSupTXMIsPublishedUnderTheGNUGPL2LicenseAmpltInfaHrefEqualshttpsColonwwwgnuorglicensesgpl20enhtmlSuphttpsColonwwwgnuorglicensesgpl20enhtmlInfaSupAmpgt; 
 	public static String initializationOfThePlatform; 
-	public static String initializingPlatform; 
+	public static String initializingPlatform;
+
+	public static String initializingToolboxEnginesAndCorpora; 
 	public static String installPathColonP0; 
 	public static String installingSampleCorpus;
 	public static String integer; 
@@ -331,6 +353,10 @@
 	public static String nextPage; 
 	public static String nextSessionNumber; 
 	public static String nextText; 
+	public static String noActivePage;
+
+	public static String noActiveWorkbenchWindow;
+
 	public static String noDefaultEditionPageFoundForElementColon; 
 	public static String noInterpreterFoundForScriptFileExtension; 
 	public static String noMetadataFileP0; 
@@ -362,7 +388,9 @@
 	public static String paginationOptions; 
 	public static String panColonRightMousePlusDrag; 
 	public static String parameters; 
-	public static String part; 
+	public static String part;
+
+	public static String partInitializationErrorColon; 
 	public static String pleaseWriteTheMacroName; 
 	public static String preferences; 
 	public static String previousPage; 
@@ -394,7 +422,11 @@
 	public static String renamingByColon; 
 	public static String resetTheViewColonF5; 
 	public static String restartTXM; 
-	public static String restartingThePlatform; 
+	public static String restartingThePlatform;
+
+	public static String restoringCorpora;
+
+	public static String restoringCorporaFromTheP0Directory; 
 	public static String rightContextSize; 
 	public static String rmvAllTheParts; 
 	public static String run; 
@@ -419,6 +451,8 @@
 	public static String separatedByAtLeast0Word; 
 	public static String separatedByAtLeast1Word; 
 	public static String separatorCharacters; 
+	public static String setDefaultTheme;
+
 	public static String setImportParametersInTheSectionsBelow; 
 	public static String settingStatusLineAndConfiguringActionSets; 
 	public static String shouldNotHappen; 
@@ -441,6 +475,8 @@
 	public static String startJobColonCheckTXMHOME; 
 	public static String startJobColonInitializeUI; 
 	public static String startJobColonLoadInstallPreferences; 
+	public static String startingTxm;
+
 	public static String startingUpP0; 
 	public static String startingUpdateFetch; 
 	public static String startsWith; 
@@ -482,8 +518,12 @@
 	public static String to; 
 	public static String to_2; 
 	public static String to_3; 
-	public static String tokenizerParameterFileColon; 
+	public static String tokenizerParameterFileColon;
+
+	public static String toolboxReady; 
 	public static String unknowedWidgetNameColon; 
+	public static String updateCanceled;
+
 	public static String updateLevel; 
 	public static String useLeftWindow; 
 	public static String useRightWindow; 
@@ -533,12 +573,46 @@
 
 	public static String seeTheQuoteSectionIn;
 
+	public static String TXMCanNotFetchUpdatesP0;
+
+	public static String TXMInitializationHasBeenCanceledByUserDotPleaseRestartTXM;
+
+	public static String TXMInstallDirectoryIsNotSetP0PreferenceIsNotSet;
+
+	public static String TXMInstallDirectoryIsSetToP0ButDoesNotExist;
+
+	public static String TXMInstallDirectoryIsSetToP0ButIsNotReadable;
+
+	public static String TXMInstallDirectoryIsSetToP0ButTXMCantCdInThisDirectory;
+
+	public static String TXMInstallDirectoryIsSetToQuoteQuote;
+
 	public static String TXMisDistributedUnderLicence;
 
+	public static String TXMUserDirectoryIsNotSetP0PreferenceIsNotSet;
+
+	public static String TXMUserDirectoryIsSetToP0;
+
+	public static String TXMUserDirectoryIsSetToP0ButDoesNotExist;
+
+	public static String TXMUserDirectoryIsSetToP0ButTXMCantCdInThisDirectory;
+
+	public static String TXMUserDirectoryIsSetToP0ButTXMCantWriteInThisDirectory;
+
 	public static String selectWorkingDirectory;
 
 	public static String firstLaunchOfTXM;
 
+	public static String LoadBinaryCorporaDirectory_aCorpusNamedP0alreadyExistsLoadingOfP1Canceled;
+
+	public static String LoadBinaryCorporaDirectory_corporaDirectoryNotFoundAborting;
+
+	public static String LoadBinaryCorporaDirectory_corpusLoad;
+
+	public static String LoadBinaryCorporaDirectory_loadingCorporaFromTheP0Directory;
+
+	public static String LoadBinaryCorporaDirectory_selectTheTXMCorpusToLoad;
+
 	public static String selectAnotherTXMCorporaToRestore;
 	
 	static {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 2021)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 2022)
@@ -117,7 +117,7 @@
 	 */
 	public static JobHandler loadBinaryCorpusFromCorporaDirectory(final File directory, final boolean askSelection, final boolean replace, final boolean loadDirectories) {
 		
-		JobHandler jobhandler = new JobHandler("Loading corpora from "+directory+"...", true) {
+		JobHandler jobhandler = new JobHandler(NLS.bind(TXMUIMessages.LoadBinaryCorporaDirectory_loadingCorporaFromTheP0Directory, directory), true) {
 			
 			JobHandler self = this;
 			@Override
@@ -131,9 +131,9 @@
 //					e1.printStackTrace();
 //				}
 				
-				File corporaDirectory = new File(Toolbox.getTxmHomePath(), "corpora");
+				File corporaDirectory = new File(Toolbox.getTxmHomePath(), "corpora"); //$NON-NLS-1$
 				if (!corporaDirectory.exists()) {
-					Log.severe("Corpora directory not found. Aborting.");
+					Log.severe(TXMUIMessages.LoadBinaryCorporaDirectory_corporaDirectoryNotFoundAborting);
 //					try {
 //						SearchEnginesManager.getCQPSearchEngine().start(null);
 //					} catch (Exception e) {
@@ -222,26 +222,26 @@
 
 			@Override
 			public String getText(Object element) {
-				if (element == null) return "error";
+				if (element == null) return "error";//$NON-NLS-1$
 				
-				if (!(element instanceof File)) return "not a file ("+element+")";
+				if (!(element instanceof File)) return "not a file ("+element+")";//$NON-NLS-1$ //$NON-NLS-2$
 				
 				File f = (File) element;
 				if (f.isDirectory()) {
-					if (new File(f, ".settings").exists()) {
-						return f.getName().toUpperCase()+" ("+f+")";
-					} else if (new File(f, "import.xml").exists()) {
-						return f.getName().toUpperCase()+" ("+f+")";
+					if (new File(f, ".settings").exists()) {//$NON-NLS-1$
+						return f.getName().toUpperCase()+" ("+f+")";//$NON-NLS-1$ //$NON-NLS-2$
+					} else if (new File(f, "import.xml").exists()) {//$NON-NLS-1$
+						return f.getName().toUpperCase()+" ("+f+")";//$NON-NLS-1$ //$NON-NLS-2$
 					}
-				} else if (f.getName().endsWith(".txm")) {
-					return Zip.getRoot(f).toUpperCase()+" ("+f+")";
+				} else if (f.getName().endsWith(".txm")) {//$NON-NLS-1$
+					return Zip.getRoot(f).toUpperCase()+" ("+f+")";//$NON-NLS-1$ //$NON-NLS-2$
 				}
 				
-				return "not a txm corpus ("+f+")";
+				return "not a txm corpus ("+f+")";//$NON-NLS-1$ //$NON-NLS-2$
 			}
-		}, "Select the '.txm' corpus to load.");
+		}, TXMUIMessages.LoadBinaryCorporaDirectory_selectTheTXMCorpusToLoad);
 		lsd.setInitialSelections(files);
-		lsd.setTitle("Corpus load");
+		lsd.setTitle(TXMUIMessages.LoadBinaryCorporaDirectory_corpusLoad);
 		if (lsd.open() == ListSelectionDialog.OK) {
 			System.out.println(lsd.getResult());
 			for (Object o : lsd.getResult()) {
@@ -266,7 +266,7 @@
 			files = directory.listFiles(new FileFilter() {
 				@Override
 				public boolean accept(File arg0) {
-					return IOUtils.HIDDENFILE_FILTER.accept(arg0) && arg0.getName().endsWith(".txm");
+					return IOUtils.HIDDENFILE_FILTER.accept(arg0) && arg0.getName().endsWith(".txm"); //$NON-NLS-1$
 				}
 			});
 		}
@@ -332,7 +332,7 @@
 				
 				Project project = Toolbox.workspace.getProject(corpusDirectory.getName().toUpperCase());
 				if (project != null) {
-					Log.warning(TXMCoreMessages.bind("A corpus named {0} already exists, loading of {1} canceled.", corpusDirectory.getName().toUpperCase(), corpusDirectory));
+					Log.warning(TXMCoreMessages.bind(TXMUIMessages.LoadBinaryCorporaDirectory_aCorpusNamedP0alreadyExistsLoadingOfP1Canceled, corpusDirectory.getName().toUpperCase(), corpusDirectory));
 					continue;
 				}
 				
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 2021)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 2022)
@@ -213,7 +213,7 @@
 					this.runInit(monitor);
 					try {
 
-						monitor.beginTask("Starting TXM", 100);
+						monitor.beginTask(TXMUIMessages.startingTxm, 100);
 
 						monitor.setTaskName(TXMUIMessages.loadingTXMInstallPreferences);
 						Log.fine(TXMUIMessages.startJobColonLoadInstallPreferences);
@@ -228,7 +228,7 @@
 						Log.warning(TXMUIMessages.startJobColonCheckTXMHOME);
 						if (!checkTXMHOME(this, monitor)) {
 							monitor.done();
-							System.err.println("Errors occured during TXM post-installation.");
+							System.err.println(TXMUIMessages.errorsOccuredDuringTXMPostInstallation);
 						}
 						monitor.worked(30);
 
@@ -246,7 +246,7 @@
 						System.out.println(TXMCoreMessages.bind(TXMUIMessages.errorWhileLoadingTXMColon, e));
 						org.txm.utils.logger.Log.printStackTrace(e);
 					} catch(ThreadDeath td) {
-						System.out.println("TXM initialization has been canceled by user. Please restart TXM.");
+						System.out.println(TXMUIMessages.TXMInitializationHasBeenCanceledByUserDotPleaseRestartTXM);
 					}
 
 					JobsTimer.stopAndPrint();
@@ -266,14 +266,14 @@
 	}
 
 	public static void closeEmptyEditors() {
-		Log.fine("Closing empty editors...");
-		String REF = "org.eclipse.ui.internal.emptyEditorTab";
+		Log.fine("Closing empty editors..."); //$NON-NLS-1$
+		String REF = "org.eclipse.ui.internal.emptyEditorTab"; //$NON-NLS-1$
 
 		for (final IWorkbenchPage page : DeleteObject.getPages()) {
 			ArrayList<IEditorReference> editorRefsList = new ArrayList<IEditorReference>();
 			for (IEditorReference editorref : page.getEditorReferences()) {
 				if (editorref.getId().equals(REF)) {
-					Log.fine("Closing: "+editorref.getId());
+					Log.fine(TXMUIMessages.closingColon+editorref.getId());
 					editorRefsList.add(editorref);
 				}
 			}
@@ -350,7 +350,7 @@
 				data.read();
 				data.close();
 			} catch(Exception e){
-				Log.warning(TXMCoreMessages.bind("TXM can not fetch updates ({0}).", e));
+				Log.warning(TXMCoreMessages.bind(TXMUIMessages.TXMCanNotFetchUpdatesP0, e));
 				doUpdate = false;
 				return;
 			}
@@ -376,28 +376,28 @@
 				}
 			});
 		} catch(Exception e) {
-			System.out.println("Error while fetching updates: "+e);
+			System.out.println(NLS.bind(TXMUIMessages.errorWhileFetchingUpdatesP0, e));
 		} catch(ThreadDeath td) {
-			System.out.println("Update canceled.");
+			System.out.println(TXMUIMessages.updateCanceled);
 		}
 	}
 
 	public static boolean testTXMHOMEPreferenceAndDirectory() {
 		String path = Toolbox.getTxmHomePath();
 
-		if (path == null || path.trim().equals("")) {
-			Log.warning(TXMCoreMessages.bind("TXM user directory is not set ('{0}' preference is not set).", TBXPreferences.USER_TXM_HOME));
+		if (path == null || path.trim().equals("")) { //$NON-NLS-1$
+			Log.warning(TXMCoreMessages.bind(TXMUIMessages.TXMUserDirectoryIsNotSetP0PreferenceIsNotSet, TBXPreferences.USER_TXM_HOME));
 			return true;
 		}
 		File dir = new File(Toolbox.getTxmHomePath().trim());
 		if (!dir.exists()) {
-			Log.warning(TXMCoreMessages.bind("TXM user directory is set to '{0}' but does not exist.", dir));
+			Log.warning(TXMCoreMessages.bind(TXMUIMessages.TXMUserDirectoryIsSetToP0ButDoesNotExist, dir));
 			return true;
 		} else if (!dir.canWrite()) {
-			Log.warning(TXMCoreMessages.bind("TXM user directory is set to '{0}' but TXM can't write in this directory.", dir));
+			Log.warning(TXMCoreMessages.bind(TXMUIMessages.TXMUserDirectoryIsSetToP0ButTXMCantWriteInThisDirectory, dir));
 			return true;
 		} else if (!dir.canExecute()) {
-			Log.warning(TXMCoreMessages.bind("TXM user directory is set to '{0}' but TXM can't cd in this directory.", dir));
+			Log.warning(TXMCoreMessages.bind(TXMUIMessages.TXMUserDirectoryIsSetToP0ButTXMCantCdInThisDirectory, dir));
 			return true;
 		}
 
@@ -407,22 +407,22 @@
 	public static boolean testTXMINSTALLPreferenceAndDirectory() {
 		//		TxmPreferences.dump();
 		if (Toolbox.getInstallDirectory() == null) {
-			Log.warning(TXMCoreMessages.bind("TXM install directory is not set ('{0}' preference is not set).", TBXPreferences.INSTALL_DIR));
+			Log.warning(TXMCoreMessages.bind(TXMUIMessages.TXMInstallDirectoryIsNotSetP0PreferenceIsNotSet, TBXPreferences.INSTALL_DIR));
 			return true;
 		}
 
 		File installdir = new File(Toolbox.getInstallDirectory().trim());
-		if (Toolbox.getInstallDirectory().equals("")) {
-			Log.warning("TXM install directory is set to ''.");
+		if (Toolbox.getInstallDirectory().equals("")) { //$NON-NLS-1$
+			Log.warning(TXMUIMessages.TXMInstallDirectoryIsSetToQuoteQuote);
 			return true;
 		} else if (!installdir.exists()) {
-			Log.warning(TXMCoreMessages.bind("TXM install directory is set to '{0}' but does not exists.", installdir));
+			Log.warning(TXMCoreMessages.bind(TXMUIMessages.TXMInstallDirectoryIsSetToP0ButDoesNotExist, installdir));
 			return true;
 		} else if (!installdir.canRead()) {
-			Log.warning(TXMCoreMessages.bind("TXM install directory is set to '{0}' but is not readable.", installdir));
+			Log.warning(TXMCoreMessages.bind(TXMUIMessages.TXMInstallDirectoryIsSetToP0ButIsNotReadable, installdir));
 			return true;
 		} else if (!installdir.canExecute()) {
-			Log.warning(TXMCoreMessages.bind("TXM install directory is set to '{0}' but is not cdable.", installdir));
+			Log.warning(TXMCoreMessages.bind(TXMUIMessages.TXMInstallDirectoryIsSetToP0ButTXMCantCdInThisDirectory, installdir));
 			return true;
 		}
 		return false;
@@ -465,7 +465,7 @@
 		}
 
 		if (messages.length() > 0) {
-			return MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), TXMCoreMessages.common_warning, NLS.bind(TXMUIMessages.warning_popup_editedResultsWillBelostP0, messages));
+			return MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), "", NLS.bind(TXMUIMessages.warning_popup_editedResultsWillBelostP0, messages)); //$NON-NLS-1$
 		}
 		return true;
 	}
@@ -579,7 +579,7 @@
 				installPreferenceRestored = true;
 
 				if (installDirectory == null || !installDirectory.exists()) {
-					Log.severe("Error: The provided install directory does not exists. Aborting.");
+					Log.severe(TXMUIMessages.errorTheProvidedInstallDirectoryDoesNotExistAborting);
 					return false;
 				}
 
@@ -628,7 +628,7 @@
 
 				final IWorkbench w = PlatformUI.getWorkbench();
 				if (w == null) {
-					System.out.println("no workbench");
+					System.out.println("no workbench"); //$NON-NLS-1$
 					return;
 				}
 
@@ -637,15 +637,15 @@
 					public void run() {
 						try {
 							IWorkbenchWindow aww = w.getActiveWorkbenchWindow();
-							if (aww == null) {System.out.println("no active workbench window");return;}
+							if (aww == null) {System.out.println(TXMUIMessages.noActiveWorkbenchWindow);return;}
 							IWorkbenchPage page = aww.getActivePage();
-							if (page == null) {System.out.println("no active page");return;}
-							IViewPart view = page.findView("org.eclipse.pde.runtime.LogView");
+							if (page == null) {System.out.println(TXMUIMessages.noActivePage);return;}
+							IViewPart view = page.findView("org.eclipse.pde.runtime.LogView"); //$NON-NLS-1$
 							if (view == null) {
-								view = page.showView("org.eclipse.pde.runtime.LogView");
+								view = page.showView("org.eclipse.pde.runtime.LogView"); //$NON-NLS-1$
 							}
 						} catch (Exception e1) {
-							System.out.println("Part initialisation error: "+e1);
+							System.out.println(TXMUIMessages.partInitializationErrorColon+e1);
 							e1.printStackTrace();
 							return;
 						}
@@ -679,7 +679,7 @@
 
 		// check if TXMHOME of the user is set and exists
 		needToRestoreTXMHOME = testTXMHOMEPreferenceAndDirectory();
-		Log.fine("needToRestoreTXMHOME="+needToRestoreTXMHOME+" installPreferenceRestored="+installPreferenceRestored);
+		Log.fine("needToRestoreTXMHOME="+needToRestoreTXMHOME+" installPreferenceRestored="+installPreferenceRestored); //$NON-NLS-1$ //$NON-NLS-2$
 		if (needToRestoreTXMHOME || installPreferenceRestored) {
 
 			System.out.println(TXMUIMessages.creatingTXMUserWorkingDirectory);
@@ -693,18 +693,18 @@
 				txmhomedir.mkdirs(); // creates the directory if needed
 
 				if (!txmhomedir.exists()) {
-					Log.severe(TXMCoreMessages.bind("Error: The provided TXMHOME directory does not exists: {0}. Aborting.", txmhomedir));
+					Log.severe(TXMCoreMessages.bind(TXMUIMessages.errorTheProvidedTXMHOMEDirectoryDoesNotExistsP0Aborting, txmhomedir));
 					return false;
 				}
 
 				// save preference if USER_TXM_HOME has changed
 				TBXPreferences.getInstance().put(TBXPreferences.USER_TXM_HOME, txmhomedir.getAbsolutePath());
-				DefaultScope.INSTANCE.getNode("org.eclipse.ui.workbench").putBoolean("RUN_IN_BACKGROUND", false);
-				DefaultScope.INSTANCE.getNode("org.eclipse.ui.workbench").flush();
+				DefaultScope.INSTANCE.getNode("org.eclipse.ui.workbench").putBoolean("RUN_IN_BACKGROUND", false); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
+				DefaultScope.INSTANCE.getNode("org.eclipse.ui.workbench").flush(); //$NON-NLS-1$
 				TBXPreferences.getInstance().flush();
 				//TXMPreferences.saveAll();
 
-				Log.info(TXMCoreMessages.bind("TXM User directory is set to: {0}.", txmhomedir));
+				Log.info(TXMCoreMessages.bind(TXMUIMessages.TXMUserDirectoryIsSetToP0, txmhomedir));
 
 				txmHomeRestored = true;
 			} catch (Exception e) {
@@ -732,7 +732,7 @@
 		//			System.out.println("DEV MODE: no corpus restored!");
 		//			return; // dev mode
 		//		}
-		monitor.setTaskName("Restoring corpora...");
+		monitor.setTaskName(TXMUIMessages.restoringCorpora);
 		String installdirpath = Toolbox.getInstallDirectory();
 		File sampleCorporaDirectory = new File(installdirpath, "samples"); //$NON-NLS-1$
 
@@ -742,14 +742,14 @@
 		corporaDir = new File(txmhomedir, "corpora"); //$NON-NLS-1$
 		corporaDir.mkdir();
 
-		File previousCorporaDirectory = new File(System.getProperty("user.home"), "TXM/corpora");
+		File previousCorporaDirectory = new File(System.getProperty("user.home"), "TXM/corpora"); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
 
 		Version v = Activator.getDefault().getBundle().getVersion();
-		String vv = v.getMajor()+"."+v.getMinor()+"."+v.getMicro();
-		String SAMPLES = "1. "+TXMUIMessages.bind(TXMUIMessages.sampleCorporaOfCurrentTXMP0, vv);
-		String V080 = "2. "+TXMUIMessages.bind(TXMUIMessages.corporaOfPreviousTXMP0, vv);
-		String V079 = "3. "+TXMUIMessages.bind(TXMUIMessages.corporaOfPreviousTXMP0, "0.7.9");
-		String OTHER = "4. "+TXMUIMessages.selectAnotherTXMCorporaToRestore;
+		String vv = v.getMajor()+"."+v.getMinor()+"."+v.getMicro(); //$NON-NLS-1$ //$NON-NLS-2$  $NON-NLS-2$
+		String SAMPLES = "1. "+TXMUIMessages.bind(TXMUIMessages.sampleCorporaOfCurrentTXMP0, vv);//$NON-NLS-1$
+		String V080 = "2. "+TXMUIMessages.bind(TXMUIMessages.corporaOfPreviousTXMP0, vv);//$NON-NLS-1$
+		String V079 = "3. "+TXMUIMessages.bind(TXMUIMessages.corporaOfPreviousTXMP0, "0.7.9"); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
+		String OTHER = "4. "+TXMUIMessages.selectAnotherTXMCorporaToRestore;//$NON-NLS-1$
 
 
 		final ArrayList<Object> corporaDirs = new ArrayList<Object>();
@@ -784,7 +784,7 @@
 		});
 
 		// move previous TXM 0.8.0 corpora
-		File backupDir = new File(corporaDir.getAbsolutePath()+"-previous");
+		File backupDir = new File(corporaDir.getAbsolutePath()+"-previous"); //$NON-NLS-1$
 		if (corporaDir.exists()) {
 			backupDir.mkdirs();
 			for (File dir : corporaDir.listFiles(IOUtils.HIDDENFILE_FILTER)) {
@@ -810,7 +810,7 @@
 
 		// TXM-0.8.0 previous installation corpora
 		if (corporaDirs.contains(V080) && backupDir.listFiles(IOUtils.HIDDENFILE_FILTER).length > 0) { // not a new install, restore corpus from the corpora-previous directory
-			Log.info(NLS.bind(TXMUIMessages.installingPreviousCorpusFromP0, "0.8.0", corporaDir));
+			Log.info(NLS.bind(TXMUIMessages.installingPreviousCorpusFromP0, "0.8.0", corporaDir)); //$NON-NLS-1$
 			JobHandler job = LoadBinaryCorporaDirectory.loadBinaryCorpusFromCorporaDirectory(backupDir, false, false, true);
 			try {
 				job.join();
@@ -821,7 +821,7 @@
 
 		// TXM previous installation corpora
 		if (corporaDirs.contains(V079) && previousCorporaDirectory.exists()) { // new installation (empty corpora directory)
-			Log.info(NLS.bind(TXMUIMessages.installingPreviousCorpusFromP0, "0.7.9", previousCorporaDirectory));
+			Log.info(NLS.bind(TXMUIMessages.installingPreviousCorpusFromP0, "0.7.9", previousCorporaDirectory)); //$NON-NLS-1$
 			JobHandler job = LoadBinaryCorporaDirectory.loadBinaryCorpusFromCorporaDirectory(previousCorporaDirectory, false, false, true);
 			try {
 				job.join();
@@ -842,13 +842,13 @@
 					String path = dialog.open();
 					if (path == null) return;
 
-					bindings.put("path", path);
+					bindings.put("path", path); //$NON-NLS-1$
 				}
 			});
-			if (bindings.containsKey("path")) {
-				File dir = new File(bindings.get("path"));
+			if (bindings.containsKey("path")) { //$NON-NLS-1$
+				File dir = new File(bindings.get("path")); //$NON-NLS-1$
 				if (!dir.equals(corporaDir)) {
-					Log.info(NLS.bind("Restoring corpora from the {0} directory...", dir));
+					Log.info(NLS.bind(TXMUIMessages.restoringCorporaFromTheP0Directory, dir));
 					JobHandler job = LoadBinaryCorporaDirectory.loadBinaryCorpusFromCorporaDirectory(dir, true, true, true);
 					try {
 						job.join();
@@ -866,7 +866,7 @@
 			}
 		});
 
-		monitor.setTaskName("");
+		monitor.setTaskName(""); //$NON-NLS-1$
 	}
 
 	/**
@@ -876,11 +876,11 @@
 	private void callGroovyScript(File script) {
 		try {
 			if (script.exists() && script.canRead()) {
-				ExecuteGroovyScript.executeScript(script.getAbsolutePath(), null, null, true, "");
+				ExecuteGroovyScript.executeScript(script.getAbsolutePath(), null, null, true, ""); //$NON-NLS-1$
 			}
 		}
 		catch(Exception e) {
-			Log.severe(TXMCoreMessages.bind("Failed to execute '{0}' script: {1}.", script, e));
+			Log.severe(TXMCoreMessages.bind(TXMUIMessages.failedToExecuteTheP0ScriptColonP1, script, e));
 			Log.printStackTrace(e);
 		}
 	}
@@ -938,11 +938,11 @@
 				try {
 					printTXMVersion();
 					
-					jobHandler.setTaskName("Set default theme");
+					jobHandler.setTaskName(TXMUIMessages.setDefaultTheme);
 					setDefaultTheme();
 
 					// CLOSE Empty&Error editors
-					jobHandler.setTaskName("Closing empty editors");
+					jobHandler.setTaskName(TXMUIMessages.closingEmptyEditors);
 					closeEmptyEditors();
 
 					// remove some preference pages
@@ -957,11 +957,11 @@
 								try {
 									monitor.worked(1);
 
-									monitor.setTaskName("Calling Groovy prestart script...");
+									monitor.setTaskName(TXMUIMessages.callingGroovyPrestartScript);
 									callPreStartScript();
 									monitor.worked(20);
 
-									monitor.setTaskName("Initializing Toolbox (engines and corpora)...");
+									monitor.setTaskName(TXMUIMessages.initializingToolboxEnginesAndCorpora);
 									if (Toolbox.initialize(TBXPreferences.class, monitor)) {
 										//StatusLine.setMessage(TXMUIMessages.ready);
 									}
@@ -974,7 +974,7 @@
 									}
 									monitor.worked(20);
 
-									monitor.setTaskName("Calling Groovy start script...");
+									monitor.setTaskName(TXMUIMessages.callingGroovyStartScript);
 									callStartScript();
 									monitor.worked(20);
 
@@ -987,7 +987,7 @@
 									}
 									monitor.worked(20);
 									
-									jobHandler.setTaskName("Toolbox ready.");
+									jobHandler.setTaskName(TXMUIMessages.toolboxReady);
 								} catch (Exception e) {
 									// TODO Auto-generated catch block
 									e.printStackTrace();
@@ -1006,13 +1006,13 @@
 					
 				}
 				catch(Exception e) {
-					Log.severe(TXMCoreMessages.bind("Error during UI initialization: {0}.", e.getLocalizedMessage()));
+					Log.severe(TXMCoreMessages.bind(TXMUIMessages.errorDuringUIInitializationP0, e.getLocalizedMessage()));
 					e.printStackTrace();
 				}
 			}
 		});
 
-		jobHandler.setTaskName("");
+		jobHandler.setTaskName(""); //$NON-NLS-1$s
 		//TxmPreferences.dump();
 		return true;
 	}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 2021)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 2022)
@@ -371,7 +371,6 @@
 		// System.out.println("*** Load corpus: "+name);
 		if (e == null) {
 			Log.warning(TXMCoreMessages.warningColonCantLoadCorpus + this);
-			Log.warning(TXMCoreMessages.informationsFromWorkspaceSelfElementNull);
 			return false;
 		}
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/creationdelete partition et subcorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/creationdelete partition et subcorpus.java	(revision 2021)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/creationdelete partition et subcorpus.java	(revision 2022)
@@ -342,7 +342,6 @@
 //	protected boolean _loadCorpus() {
 //		//System.out.println("*** Load corpus: "+name);
 //		if (getSelfElement() == null) {
-//			System.out.println(TXMCoreMessages.warningColonCantLoadCorpus+this+TXMCoreMessages.informationsFromWorkspaceSelfElementNull);
 //			return false;
 //		}
 //
